org.apache.cassandra.io.sstable

## Class ReducingKeyIterator

- java.lang.Object
- - org.apache.cassandra.io.sstable.ReducingKeyIterator

All Implemented Interfaces:
  java.lang.AutoCloseable, java.util.Iterator<DecoratedKey>, CloseableIterator<DecoratedKey>

    public class ReducingKeyIterator
    extends java.lang.Object
    implements CloseableIterator<DecoratedKey>

Caller must acquire and release references to the sstables used here.

### Constructor Summary

Constructors
Constructor and Description
`ReducingKeyIterator(java.util.Collection<SSTableReader> sstables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`long` `getBytesRead()`
`long` `getTotalBytes()`
`boolean` `hasNext()`
`DecoratedKey` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### ReducingKeyIterator

    public ReducingKeyIterator(java.util.Collection<SSTableReader> sstables)

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `CloseableIterator<DecoratedKey>`

#### getTotalBytes

    public long getTotalBytes()

#### getBytesRead

    public long getBytesRead()

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<DecoratedKey>`

#### next

    public DecoratedKey next()

Specified by:
  `next` in interface `java.util.Iterator<DecoratedKey>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<DecoratedKey>`